[suggest] .spec for new package: ODE 0.6 physics library

Vincent Knecht vknecht at club-internet.fr
Thu Jul 27 01:00:22 CEST 2006


Le mercredi 26 juillet 2006 22:13, Dries Verachtert a écrit :
> On Tuesday 25 July 2006 21:53, Vincent Knecht wrote:
> > Hello again,
> >
> >   here's a .spec for ODE 0.6.
> > Again, there are things I'm not sure, like the exact BuildRequires line.
> > The process builds libdrawstuff and some tests using -lGL and -lGLU, but
> > they're not installed/included in package. Probably if they were not
> > there, build would fail and packaging too. I guess those would require
> > packages like the xorg-x11-Mesa-libGLU...
> >
> > Greetings...
>
> Hello,
> I've added the spec file to the subversion
> ( http://svn.rpmforge.net/svn/trunk/rpms/ode/ode.spec )
> I've made a ode-devel subpackage, i hope you don't mind.
>
> kind regards and thanks,
> Dries

Ah, good idea !
  In addition, would it be possible to make the -devel not require the main 
package ? I think the shared lib for ODE is quite recent (so that not much 
apps need it), and generally I move it out of the system dirs so that Crystal 
Space (which my app uses) gets the static version; That's a dependency less 
to care about when producing binaries...

Thank you very much



More information about the users mailing list